#!/usr/bin/env groovy
// see https://jenkinsci.github.io/job-dsl-plugin/ and https://jenkinsci.github.io/job-dsl-plugin/#path/pipelineJob

pipelineJob("my-maven-lib") {
    displayName("My Maven Lib")
    definition {
        cpsScm {
            scm {
                git {
                    remote {
                        url("...")
                        branch("*/master")
                    }
                    extensions {
                        localBranch("master")
                    }
                }
            }
            scriptPath("Jenkinsfile")
        }
    }
}
